use serenity::all::{CommandInteraction, Context};
use serenity::builder::{CreateCommand, CreateEmbed};

use crate::util::embed::Embed;

pub async fn run(_ctx: &Context, command: &CommandInteraction) -> CreateEmbed {
    let username = command.user.name.as_str();

    Embed::create_success_response(username, "Botendo v7", "developed by [moonleay](https://moonleay.net)\n\nCheck out the repository: https://git.moonleay.net/DiscordBots/Rustendo")
}

pub fn register() -> CreateCommand {
    CreateCommand::new("info").description("Infos about the bot")
}

// >18/02/2024 @ 19:01:59 - bartlo
// >2024-02-19 17:58:39 | moonleay
